about summary refs log tree commit diff
diff options
context:
space:
mode:
-rwxr-xr-xunicorn_mode/build_unicorn_support.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/unicorn_mode/build_unicorn_support.sh b/unicorn_mode/build_unicorn_support.sh
index a04cca6b..ecd80d95 100755
--- a/unicorn_mode/build_unicorn_support.sh
+++ b/unicorn_mode/build_unicorn_support.sh
@@ -127,7 +127,14 @@ echo "[+] All checks passed!"
 echo "[*] Making sure unicornafl is checked out"
 rm -rf unicornafl # workaround for travis ... sadly ...
 #test -d unicorn && { cd unicorn && { git stash ; git pull ; cd .. ; } }
-test -d unicornafl || git clone https://github.com/vanhauser-thc/unicornafl
+test -d unicornafl || {
+   CNT=1
+   while [ '!' -d unicornafl -a "$CNT" -lt 4 ]; do
+     echo "Trying to clone unicornafl (attempt $CNT/3)"
+     git clone https://github.com/vanhauser-thc/unicornafl
+     CNT=`expr "$CNT" + 1`
+   done
+}
 test -d unicornafl || { echo "[-] not checked out, please install git or check your internet connection." ; exit 1 ; }
 echo "[+] Got unicornafl."